﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGDependentComboCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public CachedComboValue DependentComboValue { get; set; }
        public ObservableCollection<string> ComboValues { get; set; }
        public ObservableCollection<string> DependentComboValues { get; set; }

        string[] vals = "N/A;A;B;C;D;E".Split(';');
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            ComboValues = new ObservableCollection<string>();
            DependentComboValues = new ObservableCollection<string>();

            for(int i=0; i<vals.Length; i++)
            {
                SampleData sd = new SampleData() { ID = i, ComboValue = vals[0] };
                Data.Add(sd);                
                DependentComboValues.Add(vals[i]);
                ComboValues.Add(vals[i]);
                

                DependentComboValue = new CachedComboValue() { Index = 0, Value = vals[0] };
            }            
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string ComboValue { get; set; }
    }

    public class CachedComboValue
    {
        public int Index { get; set; }
        public string Value { get; set; }
    }
}
